vine_submit_workers(1)

NAME

vine_submit_workers - submit vine_worker to the Condor, Slurm, or UGE batch systems.

SYNOPSIS

vine_submit_workers [batch options] [worker options] [batch specific options] <servername> <port> <num-workers>

or

vine_submit_workers [batch options] [worker options] --manager-name <name> [batch specific options] <num-workers>

DESCRIPTION

vine_submit_workers schedules the execution of vine_worker(1) on Condor, Slurm, or UGE through their respective job submission interfaces. The number of vine_worker scheduled and run is given by the num-workers argument.

The servername and port arguments specify the hostname and port number of the manager for the vine_worker to connect. Alternatively, this information can be obtained from the catalog server by specifying the name of the TaskVine manager using the --manager-name parameter.

BATCH OPTIONS

-T,--batch-type=<batch>
    Name of the batch system to submit workers. Out of (condor, slurm, uge).

WORKER OPTIONS

-M,--manager-name=<name>
    Name of the preferred manager for worker.

-N,--name=<name>
    Same as -M (backwards compatibility).

-C,--catalog=<catalog>
    Set catalog server to <catalog>. <catalog> format: HOSTNAME:PORT.

-t,--timeout=<time>
    Abort after this amount of idle time (default=900s).

-d,--debug=<subsystem>
    Enable debugging on worker for this subsystem (try -d all to start).

-w,--tcp-window-size=<size>
    Set TCP window size

-i,--min-backoff=<time>
    Set initial value for backoff interval when worker fails to connect to a manager. (default=1s)

-b,--max-backoff=<time>
    Set maxmimum value for backoff interval when worker fails to connect to a manager. (default=60s)

-z,--disk-threshold=<size>
    Set available disk space threshold (in MB). When exceeded worker will clean up and reconnect. (default=100MB)

-A,--arch=<arch>
    Set architecture string for the worker to report to manager instead of the value in uname.

-O,--os=<os>
    Set operating system string for the worker to report to manager instead of the value in uname.

-s,--workdir=<path>
    Set the location for creating the working directory of the worker.

-P,--password=<pwfile>
    Password file to authenticate workers to manager.

-ssl,--=<>
     Use ssl to communicate with manager.

--cores=<cores>
    Set the number of cores each worker should use (0=auto). (default=1)

--memory=<size>
    Manually set the amonut of memory (in MB) reported by this worker.

--disk=<size>
    Manually set the amount of disk (in MB) reported by this worker.

--scratch-dir=<path>
    Set the scratch directory location created on the local machine. (default=/tmp/${USER}-workers)

-E,--worker-options=<str>
    Extra options passed to vine_worker

-h,--help
    Show help message.

BATCH SPECIFIC OPTIONS

CONDOR

-r,--requirements=<reqs>
    Condor requirements expression.

--class-ad=<ad>
    Extra condor class ad. May be specified multiple times.

--autosize
    Condor will automatically size the worker to the slot.

--docker-universe=<image>
    Run worker inside <image> using condor's docker universe

SLURM

-j,--=<>
    Use job array to submit workers.

-p,--parameters=<>
    SLURM sbatch parameters.

UGE

-j,--=<>
    Use job array to submit workers.

-p,--parameters=<>
    UGE qsub parameters.

EXIT STATUS

On success, returns zero. On failure, returns non-zero.

EXAMPLES

Submit 10 worker instances to run on Condor and connect to a specific manager:

    vine_submit_workers -T condor manager.somewhere.edu 9123 10

Submit 10 vine_worker instances to run on Condor in auto mode with their preferred project name set to Project_A and abort timeout set to 3600 seconds:

    vine_submit_workers -T condor -a -t 3600 -M Project_A 10

COPYRIGHT

The Cooperative Computing Tools are Copyright (C) 2022 The University of Notre Dame. This software is distributed under the GNU General Public License. See the file COPYING for details.

SEE ALSO

•   Cooperative Computing Tools Documentation

•   TaskVine User Manual

•   vine_worker(1) vine_status(1) vine_factory(1) vine_graph_log(1)